Skip to main content
PATCH
/
referrers
/
{referrerId}
Partially update referrer
curl --request PATCH \
  --url https://api.kameleoon.com/referrers/{referrerId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "detections": [
    {
      "and": true,
      "andMethod": "<string>",
      "andParameters": "<string>",
      "method": "<string>",
      "parameters": "<string>"
    }
  ],
  "name": "<string>",
  "priority": 123,
  "tags": "<string>"
}
'
{
  "name": "<string>",
  "dateCreated": "2023-11-07T05:31:56Z",
  "detections": [
    {
      "and": true,
      "andMethod": "<string>",
      "andParameters": "<string>",
      "method": "<string>",
      "parameters": "<string>"
    }
  ],
  "id": 123,
  "index": 123,
  "modificationDate": "2023-11-07T05:31:56Z",
  "priority": 123,
  "siteId": 123,
  "tags": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

referrerId
integer<int64>
required

Body

application/json
detections
object[]
name
string

Name of the referrer

priority
integer<int32>

Priority for the given referrer

tags
string

Tags belonging to this referrer

Response

OK

name
string
required

Name of the referrer

dateCreated
string<date-time>
read-only

Date and time referred is created

detections
object[]
id
integer<int64>
read-only

Unique Id of the referrer

index
integer<int32>
read-only

Index of the referrer

modificationDate
string<date-time>
read-only

Date and time referred is modified

priority
integer<int32>

Priority of the referrer

siteId
integer<int64>

Site Id of the project the referrer belongs to

tags
string

Tags belonging to this referrer